#############################################################################
#  Author: Xuefeng Ding <dingxf@ihep.ac.cn> @ IHEP-CAS
#
#  Project: cpp-python-small
#  Date: 2024 December 2nd
#  Version: v1.0
#  Description:
#    Boilerplate for c++-python project.
#    Can be installed with `pip install .`
#
#  Maintainer:
#    Xuefeng Ding <dingxf@ihep.ac.cn>
#
#  All rights reserved. 2024 copyrighted.
#############################################################################
#!/bin/bash

python3 -m venv .venv
PIP=".venv/bin/pip"
library_output_dir="$PWD/python/myproj/simulation/_csrc"
$PIP install -r requirements-dev.txt
$PIP install --no-build-isolation --check-build-dependencies -ve . \
   -Ccmake.define.CMAKE_EXPORT_COMPILE_COMMANDS=1 \
   -Cbuild-dir=build
